%define name Transcriber
%define version 1.4.6
%define release 7mdk

Name:		%{name}
Summary:	A free tool for segmenting, labeling and transcribing speech
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sound
URL:		http://sourceforge.net/projects/trans/
Source0:	http://prdownloads.sourceforge.net/trans/%name-%version.tar.bz2
Source1:	%{name}.png
Requires:	tcl >= 8.0, tk >= 8.0, tcLex >= 1.2, Snack >= 1.7
BuildRequires:	tcl, tk
BuildRequires:	X11-devel
BuildRequires:	distcc-client
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Transcriber is a tool for assisting the manual annotation of speech
signals. It provides a user-friendly graphical user interface for
segmenting long duration speech recordings, transcribing them, and
labeling speech turns, topic changes and acoustic conditions. It is more
specifically designed for the annotation of broadcast news recordings, for
creating corpora used in the development of automatic broadcast news
transcription systems, but its features might be found useful in other
areas of speech research.

%prep
%setup -q

%build
cd src
CFLAGS="$RPM_OPT_FLAGS -fPIC" ./configure \
	--with-snack=%{_libdir} --with-tcl=%{_libdir} \
	--with-tk=%{_libdir} --prefix=${RPM_BUILD_ROOT}%{_prefix} --libdir=%_libdir

%make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_libdir} ${RPM_BUILD_ROOT}%{_bindir}
(cd src;make install)

install -D -m644 %SOURCE1 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png

# Fix wrong-script-end-of-line-encoding 
perl -pi -e 's/\015$//' %buildroot/%_libdir/transcriber1.4/etc/local_cs.txt

# Mandrake menu entries
install -d -m 0755 %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%{name}): command="trans" \
icon="Transcriber.png" \
needs="x11" \
title="Transcriber" \
longtitle="A sound editor based on Tcl/Tk" \
section="Multimedia/Sound"
EOF

%post
%update_menus

%postun
%clean_menus

%files 
%defattr(-,root,root)
%_bindir/*
%_libdir/transcriber*
%_libdir/html_library-*
%{_menudir}/%{name}
%{_iconsdir}/*.png

%doc README COPYING doc/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Wed May 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.4.6-7mdk
- Rebuild

* Fri May 13 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.4.6-6mdk
- Rebuild

* Mon Sep 27 2004 Franck Villaume <fvill@freesurf.fr> 1.4.6-5mdk
- add BuildRequires distcc-client
- cosmetic

* Tue Jun 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.4.6-4mdk
- rebuild

* Wed Dec 10 2003 Franck Villaume <fvill@freesurf.fr> 1.4.6-3mdk
- add BuildRequires : XFree86-devel

* Thu Dec 09 2003 Franck Villaume <fvill@freesurf.fr> 1.4.6-2mdk
- clean the header
- add some BuildRequires

* Tue Dec 09 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.4.6-1mdk
- from Grgoire Colbert <gcolbert@linux-mandrake.com> :
	- Updated to version 1.4.6 for Tcl/Tk 8.3

* Fri Nov 8 2002 Grgoire Colbert <gcolbert@linux-mandrake.com>
- Updated to version 1.4.5 for Tcl/Tk 8.3

* Sun Jun 24 2001 Damien Mercier <Damien.Mercier@grosmi.net>
- Version for Tcl/Tk 8.0 and Tcl/Tk 8.3

* Wed Jun 13 2001 Damien Mercier <Damien.Mercier@grosmi.net>
- Now a full SRPMS, works with Tcl-8.2

* Wed May 31 2000 Damien Mercier <Damien.Mercier@ensta.fr>
- First binary-only RPM for TcLex-1.2a1 for the Mandrake-ENSTA
  distribution

